namespace Model.Common
{
    /// <summary>
    /// Interface for a class that needs to be aware of the passage of time.
    /// </summary>
    public interface ITickable
    {
        /// <summary>
        /// To be called regularly when the game time passes.
        /// </summary>
        void Tick();
    }
}
