using System.Numerics;

using Model.Cartography.Nav;

namespace Model.People
{
    /// <summary>
    /// Class of maintenance staff.
    /// </summary>
    public class MaintenanceStaff : Staff
    {
        public override string Name => "Maintainer";

        public MaintenanceStaff(Vector2 position, VertexHandle entryHandle, float speed, string name = null)
            : base(position, entryHandle, speed, name) { }
    }
}
