using UnityEngine;

using Model.Landscape.Blueprints;
using Model.Cartography;

/// <summary>
/// ScriptableObject wrapper for CleaningBuildingBlueprint.
/// </summary>
[System.Serializable]
[CreateAssetMenu(fileName = "CleaningBuildingData", menuName = "ScriptableObjects/CleaningBuildingData", order = 10)]
public class CleaningBuildingData : BuildingData
{
    [SerializeField]
    private CleaningBuildingBlueprint blueprint;

    public override IMapObjectBlueprint Blueprint => blueprint;
}
