using UnityEngine;

using Model.Landscape.Blueprints;
using Model.Cartography;

/// <summary>
/// ScriptableObject wrapper for PavementBlueprint.
/// </summary>
[System.Serializable]
[CreateAssetMenu(fileName = "PavementData", menuName = "ScriptableObjects/PavementData", order = 10)]
public class PavementData : BuildingData
{
    [SerializeField]
    private PavementBlueprint blueprint;

    public override IMapObjectBlueprint Blueprint => blueprint;
}
