using UnityEngine;

using Model.Landscape.Blueprints;
using Model.Cartography;

/// <summary>
/// ScriptableObject wrapper for QueuePavementBlueprint.
/// </summary>
[System.Serializable]
[CreateAssetMenu(fileName = "QueuePavementData", menuName = "ScriptableObjects/QueuePavementData", order = 10)]
public class QueuePavementData : BuildingData
{
    [SerializeField]
    private QueuePavementBlueprint blueprint;

    public override IMapObjectBlueprint Blueprint => blueprint;
}
