using UnityEngine;
using UnityEngine.SceneManagement;

/// <summary>
/// Used as helper class to load scenes on a button click.
/// </summary>
public class LevelChanger : MonoBehaviour
{
    /// <summary>
    /// Changes the currently loaded level to the level specified.
    /// </summary>
    /// <param name="name">Name of the scene to load in the build settings.</param>
    public void ChangeLevel(string name) {
        SceneManager.LoadScene(name, LoadSceneMode.Single);
    }
}
