using UnityEngine;

using Model.Landscape.Blueprints;
using Model.Cartography;

/// <summary>
/// ScriptableObject wrapper for MaintenanceBuildingBlueprint.
/// </summary>
[System.Serializable]
[CreateAssetMenu(fileName = "MaintenanceBuildingData", menuName = "ScriptableObjects/MaintenanceBuildingData", order = 10)]
public class MaintenanceBuildingData : BuildingData
{
    [SerializeField]
    private MaintenanceBuildingBlueprint blueprint;

    public override IMapObjectBlueprint Blueprint => blueprint;
}
