using UnityEngine;

/// <summary>
/// Helper class to add some variation to the way ghosts hover in the menu.
/// </summary>
[RequireComponent(typeof(Animation))]
public class OffsetAnimation : MonoBehaviour
{
    [SerializeField]
    [Tooltip("Name of the clip to offset to a random position")]
    private string clipName = "GhostAnimation";

    private void Start() {
        Animation anim = GetComponent<Animation>();
        anim[clipName].normalizedTime = Random.value;
    }
}
