using UnityEngine;

/// <summary>
/// Helper class for quitting on a button click.
/// </summary>
public class QuitScript : MonoBehaviour
{
    /// <summary>
    /// Attempts to quit the application
    /// </summary>
    public void Quit() {
#if UNITY_EDITOR
        Debug.LogError("Cannot quit while being run from the editor");
#endif
        Application.Quit();
    }
}
